DBus.Introspection

# XML conversion

parseXML

formatXML

# Objects

data Object

object

objectPath

objectInterfaces

objectChildren

# Interfaces

data Interface

interface

interfaceName

interfaceMethods

interfaceSignals

interfaceProperties

# Methods

data Method

method

methodName

methodArgs

## Method arguments

data MethodArg

methodArg

methodArgName

methodArgType

methodArgDirection

data Direction

directionIn

directionOut

# Signals

data Signal

signal

signalName

signalArgs

## Signal arguments

data SignalArg

signalArg

signalArgName

signalArgType

# Properties

data Property

property

propertyName

propertyType

propertyRead

propertyWrite